# Search Submitted Events

For example, you can use this to display a list of events submitted via Loop Links within your application to your users. See also the [Events API documentation](/api/events/search-events.md#query-parameters) for more detail on many of the parameters mentioned below.

## GET /v1/loop/events

> Search Submitted Events

````json
{"openapi":"3.1.0","info":{"title":"PredictHQ Loop API","version":"1.0.0"},"tags":[{"name":"Loop Submissions"}],"servers":[{"url":"https://api.predicthq.com"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"$API_KEY","description":"Enter your PredictHQ API key. The Bearer prefix is added automatically.\n\nWhen calling the API directly, send: `Authorization: Bearer <YOUR_API_KEY>` as documented at [https://docs.predicthq.com/api/overview/authenticating](https://docs.predicthq.com/api/overview/authenticating)\n"}},"parameters":{"LimitParam":{"name":"limit","in":"query","description":"Limit the number of results.","required":false,"schema":{"type":"integer","default":10}},"OffsetParam":{"name":"offset","in":"query","description":"Offset the results.","required":false,"schema":{"type":"integer","default":0}}},"schemas":{"Geometry":{"oneOf":[{"title":"GeoJSON Point","type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","const":"Point"},"coordinates":{"type":"array","items":{"type":"number"},"minItems":2}}},{"title":"GeoJSON MultiPoint","type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","const":"MultiPoint"},"coordinates":{"type":"array","items":{"type":"array","minItems":2,"items":{"type":"number"}}}}},{"title":"GeoJSON LineString","type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","const":"LineString"},"coordinates":{"type":"array","items":{"type":"array","minItems":2,"items":{"type":"number"}},"minItems":2}}},{"title":"GeoJSON MultiLineString","type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","const":"MultiLineString"},"coordinates":{"type":"array","items":{"type":"array","minItems":2,"items":{"type":"array","minItems":2,"items":{"type":"number"}}}}}},{"title":"GeoJSON Polygon","type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","const":"Polygon"},"coordinates":{"type":"array","items":{"type":"array","minItems":4,"items":{"type":"array","minItems":2,"items":{"type":"number"}}}}}},{"title":"GeoJSON MultiPolygon","type":"object","required":["type","coordinates"],"properties":{"type":{"type":"string","const":"MultiPolygon"},"coordinates":{"type":"array","items":{"type":"array","items":{"type":"array","minItems":4,"items":{"type":"array","minItems":2,"items":{"type":"number"}}}}}}}],"title":"GeoJSON Geometry"},"HTTPValidationError":{"type":"object","properties":{"detail":{"type":"array","items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail"}},"title":"HTTPValidationError"},"ValidationError":{"type":"object","properties":{"loc":{"type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/loop/events":{"get":{"operationId":"list_submissions","summary":"Search Submitted Events","parameters":[{"name":"q","in":"query","description":"Full-text search of event information. \n\n\nE.g. `?q=hotel+a`","required":false,"schema":{"type":"string"}},{"name":"link_id","in":"query","description":"Comma-separated list of link ids. Allows you to filter for events submitted via a specific Loop Link ID. \n\n\nE.g. `?link_id=m4Dk4g4DRA8Yqbp2PC54`","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false,"style":"form"},{"name":"event_id","in":"query","description":"Comma-separated list of event IDs. Allows you to retrieve specific events.\n\n\n\nE.g. `?event_id=5uRg7CqGu7DTtu4Rfk`","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false,"style":"form"},{"name":"user_id","in":"query","description":"Comma-separated list of user IDs that submitted the event. \n\n\nE.g. `?user_id=hw8Dsmv4Djg`","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false,"style":"form"},{"name":"state","in":"query","description":"Comma separated list of event states. \nPossible values: \n- `active`\n- `predicted`\n- `cancelled`\n- `postponed`\n- `archived`","required":false,"schema":{"type":"array","items":{"type":"string","enum":["active","predicted","cancelled","postponed","archived"]}},"explode":false,"style":"form"},{"name":"category","in":"query","description":"Comma separated list of event categories. \n\n\nE.g. `?category=expos,festivals`","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false,"style":"form"},{"name":"label","in":"query","description":"Comma separated list of event labels.\n\n\nE.g. `?label=community,food,music`","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false,"style":"form"},{"name":"country","in":"query","description":"Comma separated list of country codes.\n\n\nE.g. `?country=NZ,US`","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false,"style":"form"},{"name":"start.lt","in":"query","description":"The date of the event start: less than.\n\n\nE.g. `?start.lt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"start.lte","in":"query","description":"The date of the event start: less than or equal to.\n\n\nE.g. `?start.lte=2023-03-04`     ","required":false,"schema":{"type":"string","format":"date"}},{"name":"start.gt","in":"query","description":"The date of the event start: greater than.\n\n\nE.g. `?start.gt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"start.gte","in":"query","description":"The date of the event start: greater than or equal to.\n\n\nE.g. `?start.gte=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"end.lt","in":"query","description":"The date of the event end: less than.\n\n\nE.g. `?start.lt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"end.lte","in":"query","description":"The date of the event end: less than or equal to.\n\n\nE.g. `?end.lte=2023-03-04` ","required":false,"schema":{"type":"string","format":"date"}},{"name":"end.gt","in":"query","description":"The date of the event end: greater than.\n\n\nE.g. `?end.gt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"end.gte","in":"query","description":"The date of the event end: greater than or equal to.\n\n\nE.g. `?end.gte=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"active.lt","in":"query","description":"The date the event is active: less than.\n\n\nE.g. `?active.lt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"active.lte","in":"query","description":"The date the event is active: less than or equal to.\n\n\nE.g. `?active.lte=2023-03-04` ","required":false,"schema":{"type":"string","format":"date"}},{"name":"active.gt","in":"query","description":"The date the event is active: greater than.\n\n\nE.g. `?active.gt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"active.gte","in":"query","description":"The date the event is active: greater than or equal to.\n\n\nE.g. `?active.gte=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"created.lt","in":"query","description":"The date when the event was created: less than.\n\n\nE.g. `?created.lt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"created.lte","in":"query","description":"The date when the event was created: less than or equal to.\n\n\nE.g. `?created.lte=2023-03-04` ","required":false,"schema":{"type":"string","format":"date"}},{"name":"created.gt","in":"query","description":"The date when the event was created: greater than.\n\n\nE.g. `?created.gt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"created.gte","in":"query","description":"The date when the event was created: greater than or equal to.\n\n\nE.g. `?created.gte=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"updated.lt","in":"query","description":"The date to the event was last updated: less than.\n\n\nE.g. `?updated.lt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"updated.lte","in":"query","description":"The date when the event was last updated: less than or equal to.\n\n\nE.g. `?updated.lte=2023-03-04` ","required":false,"schema":{"type":"string","format":"date"}},{"name":"updated.gt","in":"query","description":"The date when the event was last updated: greater than.\n\n\nE.g. `?updated.gt=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"updated.gte","in":"query","description":"The date when the event was last updated: greater than or equal to.\n\n\nE.g. `?updated.gte=2023-03-04`","required":false,"schema":{"type":"string","format":"date"}},{"name":"private.include","in":"query","description":"Whether or not to include private events. Rejected & pending events will always be private.\nPossible values:\n- `true`: private and public events\n- `false`: only public events\n- `only`: only private events\n\n\nE.g `?private.include=only`","required":false,"schema":{"type":"string","default":"false","enum":["true","false","only"]}},{"name":"org_review","in":"query","description":"Filter for submitted events approved, rejected or yet to be reviewed by the your Org.\nPossible values: \n- `pending` \n- `approved` \n- `rejected`\n\n\nE.g `?org_review=approved`","required":false,"schema":{"type":"string","enum":["pending","approved","rejected"]}},{"name":"phq_review","in":"query","description":"Filter for submitted events approved, rejected or yet to be reviewed by PredictHQ.\nPossible values: \n- `pending` \n- `approved` \n- `rejected`\n\n\nE.g `?phq_review=approved`","required":false,"schema":{"type":"string","enum":["pending","approved","rejected"]}},{"name":"sort","in":"query","description":"Comma-separated list of sort options. Prefix the field name with - for reverse order (e.g., `-created`).\nPossible values:\n- `created`\n- `updated`\n- `version`\n- `relevance`\n\n\nE.g. `?sort=-updated`","required":false,"schema":{"type":"array","items":{"type":"string","enum":["created","updated","version","relevance","-created","-updated","-version","-relevance"]},"default":["relevance","-updated"]},"explode":false,"style":"form"},{"$ref":"#/components/parameters/LimitParam"},{"$ref":"#/components/parameters/OffsetParam"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"description":"Total number of results found.","type":"integer"},"events":{"description":"List of results where each item is a Submitted Event.","type":"array","items":{"type":"object","properties":{"event_id":{"description":"The unique identifier of the event.\n\nE.g. `z13B3870YOgv`","type":"string"},"link_id":{"description":"Loop Link ID that was used to submit this event.\n\n\nWill only be available on submissions that were made with a Loop Link.","type":"string"},"create_dt":{"description":"The creation date time for the record in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format format.\n\n\nE.g. `2022-04-26T11:46:24+00:00`","type":"string"},"update_dt":{"description":"The last update time for the record in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format format.\n\n\nE.g. `2022-04-26T11:46:24+00:00`","type":"string"},"version":{"description":"Version number of the record.\n\n\nThis number increments automatically every time the record is updated.","type":"number"},"phq_review":{"description":"Current review status. All submissions go through a moderation process. This field refers to the PredictHQ moderators.","type":"string","enum":["pending","approved","rejected"]},"org_review":{"description":"Current review status for customer-initiated reviews. Some organizations are able to review submissions before they're moderated by PredictHQ staff.","type":"string","enum":["pending","approved","rejected"]},"phq_auto_approved":{"description":"Indicates whether or not the record was automatically approved.\n\nSome organizations are able to have their submissions enter our automatic review process after a period of time with consistent high quality level of submissions.","type":"boolean"},"event":{"type":"object","properties":{"title":{"description":"The title of the event.\n\nE.g. `Katy Perry`","type":"string"},"description":{"description":"A description of the event.\n\n\nE.g. `See Katy Perry in concert [...]`","type":"string"},"category":{"description":"The category of the event.\n\n\nPlease see [Search Events](https://docs.predicthq.com/api/events/search-events#response-fields) for a list of possible categories.\n\nE.g. `concerts`","type":"array","items":{"type":"string","enum":["academic","school-holidays","public-holidays","observances","politics","conferences","expos","concerts","festivals","performing-arts","sports","community","daylight-savings","airport-delays","severe-weather","disasters","terror","health-warnings"]}},"state":{"description":"The publication state of the event.\n\n\nPlease see [Search Events](https://docs.predicthq.com/api/events/search-events#response-fields) for a list of possible states.","type":"array","items":{"type":"string","enum":["active","deleted","predicted"]}},"metadata":{"description":"List of metadata associated with the event.\n\n\n**E.g.**\n  ```json\n  {\n    \"metadata\": [\n      {\n        \"maximum_attendance\": 5000\n      },\n      {\n        \"attendance\": 3215\n      }\n    ]\n  }\n  ```","type":"array","items":{"type":"object","properties":{"attendance":{"type":"object","properties":{"count":{"type":"integer","maximum":9223372036854776000,"minimum":0}}},"maximum_attendance":{"type":"integer","maximum":9223372036854776000,"minimum":0},"estimated_fatalities":{"type":"object","properties":{"count":{"type":"integer","maximum":9223372036854776000,"minimum":0}}},"estimated_injuries":{"type":"object","properties":{"count":{"type":"integer","maximum":9223372036854776000,"minimum":0}}}}},"additionalProperties":true},"dates":{"description":"Event dates.\n\n\n**E.g.**\n  ```json\n  {\n    \"dates\": {\n      \"fixed_date\": {\n        \"start_date\": \"2023-06-02\",\n        \"end_date\": \"2023-06-04\"\n      }\n    }\n  }\n  ```","type":"object","additionalProperties":false,"oneOf":[{"required":["floating_date"]},{"required":["floating_time"]},{"required":["fixed_date"]},{"required":["fixed_time"]}],"properties":{"floating_date":{"type":"object","additionalProperties":false,"properties":{"start_date":{"type":"string","format":"date"},"end_date":{"type":"string","format":"date"}},"required":["start_date"]},"floating_time":{"type":"object","additionalProperties":false,"properties":{"start_local_datetime":{"type":"string","format":"date-time-local"},"end_local_datetime":{"type":"string","format":"date-time-local"}},"required":["start_local_datetime"]},"fixed_date":{"type":"object","additionalProperties":false,"properties":{"start_date":{"type":"string","format":"date"},"end_date":{"type":"string","format":"date"},"timezone":{"type":"string"}},"required":["start_date"]},"fixed_time":{"type":"object","additionalProperties":false,"anyOf":[{"required":["start_timestamp"]},{"required":["start_local_datetime"]}],"properties":{"start_timestamp":{"type":"string","format":"date-time"},"end_timestamp":{"type":"string","format":"date-time"},"start_local_datetime":{"type":"string","format":"date-time-local"},"end_local_datetime":{"type":"string","format":"date-time-local"},"timezone":{"type":"string"}}}}},"labels":{"description":"List of labels for the event.\n\n\n**E.g.**\n  ```json\n  {\n    \"labels\": [\n      \"festival\",\n      \"food\",\n      \"music\"\n    ]\n  }\n  ```","type":"array","items":{"type":"string"}},"lat":{"description":"Latitude for the event.\n\n\nE.g. `38.901544`","type":"string"},"lon":{"description":"Longitude for the event.\n\n\nE.g. `-119.7030036`","type":"string"},"address":{"description":"Address for the event.\n\n\nE.g. `859 U.S. Highway 395 North`","type":"string"},"formatted_address":{"description":"Full formatted address for the event.\n\n\nE.g.\n```\n859 U.S. Highway 395 North\nGardnerville, Nevada 89410\nUnited States of America\n```","type":"string"},"city":{"description":"City of the event.","type":"string"},"region":{"description":"Region of the event.","type":"string"},"postcode":{"description":"Postcode of the event.","type":"string"},"country":{"description":"Country code in [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) format.","type":"string"},"geometry":{"description":"Geographic location of the event. Represented in GeoJSON format.\n\n\n **E.g.**\n```json\n{\n  \"geometry\": {\n    \"type\": \"Point\",\n    \"coordinates\": [\n      -119.703022,\n      38.9012446\n    ]\n  }\n}\n```","$ref":"#/components/schemas/Geometry"}}}},"required":["event_id","link_id","create_dt","update_dt","version","phq_review","org_review","phq_auto_approved","event"]}}},"required":["count","events"]}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"tags":["Loop Submissions"]}}}}
````

## OpenAPI Spec

The OpenAPI spec for Loop API can be [found here](https://api.predicthq.com/docs/?urls.primaryName=Loop+API).

## Guides

ow are some guides relevant to this API:

* [Integrate with Loop Links](/integrations/integration-guides/integrate-with-loop-links.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/api/loop/loop-submissions/search-submitted-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
